import { useLocale as useLocale$1 } from 'use-intl';
import { COOKIE_LOCALE_NAME } from '../shared/next-intl.esm2.js';

function getCookieValueByName(name) {
  var value = "; " + document.cookie;
  var parts = value.split("; " + name + "=");

  if (parts.length === 2) {
    var _parts$pop;

    return (_parts$pop = parts.pop()) == null ? void 0 : _parts$pop.split(';').shift();
  } else {
    return undefined;
  }
}

function useLocale() {
  // Shortcut to read the locale from the cookie. This allows to read the
  // locale on the client side without using `NextIntlClientProvider`.
  if (typeof window !== 'undefined') {
    var locale = getCookieValueByName(COOKIE_LOCALE_NAME);
    if (locale) return locale;
  } // The condition never changes across runtime
  // eslint-disable-next-line react-hooks/rules-of-hooks


  return useLocale$1();
}

export { useLocale as default };
//# sourceMappingURL=next-intl.esm.js.map
